<template>
  <Transition
    name="fade-auth-component"
    appear
  >
    <main>
      <component :is="component" />
    </main>
  </Transition>
</template>

<script lang="ts" setup>
import { appEndpoints } from '~/shared/libs';
import { authForms } from '~widgets/auth';

definePageMeta({
  layout: 'auth',
});

const route = useRoute();
const component = computed(() => {
  const comp = authForms.find((e) => e.id === route.params.id);
  if (!comp) {
    navigateTo(appEndpoints.LOGIN);
    return undefined;
  }
  return comp?.component;
});
</script>
